Get a tag migration job (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /admin/tags/migrate/{jobId}

Returns the job status and the progress of each collection (total, processed, skipped, errored, start and end) with the last error. Returns 404 for an unknown job. Super admin only.

Path parameters

  • jobId string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • jobId string Required
      • status string Required
      • collections array[object] Required
        Hide collections attributes Show collections attributes object
        • name string Required
        • total number Required
        • processed number Required
        • skipped number Required
        • errored number Required
        • startedAt string(date-time) | null
        • completedAt string(date-time) | null
      • lastError string | null
    • statusCode number Required
    • timestamp string(date-time) Required
GET /admin/tags/migrate/{jobId}
curl \
 --request GET 'http://api.example.com/admin/tags/migrate/{jobId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "jobId": "65a1b2c3d4e5f6a7b8c9d0f2",
    "status": "running",
    "collections": [
      {
        "name": "devicemessages",
        "total": 50000,
        "processed": 12000,
        "skipped": 40,
        "errored": 0,
        "startedAt": "2026-01-15T10:15:00.000Z",
        "completedAt": "2026-05-04T09:42:00Z"
      }
    ],
    "lastError": "string"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}